Page 55 of 55

Re: D(E)4D - v3 Alpha 8.6 (05/04/2020)

PostPosted: Wed May 06, 2020 7:54 am
by Major Cooke
They'll also be models. Same quality as the crucible blade. ;)

Re: D(E)4D - v3 Alpha 8.6 (05/04/2020)

PostPosted: Fri May 08, 2020 4:02 pm
by TheBeardedJedi
Thanks! Also, I noticed a bug with the BFG in the latest version. If you purchase the upgrade for extra bfg ammo, the fourth slot never turns green, and the weapon reads "91" while only delivering three shots. The blade works great though!

Re: D(E)4D - v3 Alpha 8.6 (05/04/2020)

PostPosted: Fri May 08, 2020 4:32 pm
by Major Cooke
The ammo bars only fill up based on counts of 30. So, anything less than 120 means you only have 3 shots. I did this to indicate each shot costs 30.

I'll address the other issue soon.

Re: D(E)4D - v3 Alpha 8.6 (05/04/2020)

PostPosted: Sun May 10, 2020 12:30 pm
by idfreak2019
Hope this hasn't already been answered and pardon my ignorance, but what mapset for the new video? Love it! Love your mod too, been following from the start and very happy to see the Crucible Sword.

Re: D(E)4D - v3 Alpha 8.6 (05/04/2020)

PostPosted: Sat Jun 27, 2020 11:27 pm
by spectrefps
Love the mod! However, I ran into the same issue as TheBeardedJedi regarding the BFG and the extra capacity upgrade. Even after purchasing the 4-capacity ammo upgrade, you can only ever seem to hold 91 ammo (even with a backpack), so you can't actually store a 4th shot. After 3 shots, you are left with 1 ammo, and attempting to fire it just switches to another weapon. Wish I knew that before dropping the 10k credits >_<

Re: D(E)4D - v3 Alpha 8.6 (05/04/2020)

PostPosted: Sat Jun 27, 2020 11:47 pm
by Major Cooke
idfreak2019 wrote:Hope this hasn't already been answered and pardon my ignorance, but what mapset for the new video? Love it! Love your mod too, been following from the start and very happy to see the Crucible Sword.

It's in the video.

spectrefps wrote:Love the mod! However, I ran into the same issue as TheBeardedJedi regarding the BFG and the extra capacity upgrade. Even after purchasing the 4-capacity ammo upgrade, you can only ever seem to hold 91 ammo (even with a backpack), so you can't actually store a 4th shot. After 3 shots, you are left with 1 ammo, and attempting to fire it just switches to another weapon. Wish I knew that before dropping the 10k credits >_<


Mmm, I misread what he had said. I just pushed a fix to the github version. Please use that.

To rectify this in game with your current save file, go into console and type the following:
Code: Select allExpand view
take bfgupgrade1

Press enter. Close, then re-open the console, and type
Code: Select allExpand view
give bfgupgrade1


That should fix it once you're running the github version. Then you can save over your prior save and have it officially fixed.

Re: D(E)4D - v3 Alpha 8.6 (05/04/2020)

PostPosted: Sat Jul 04, 2020 7:55 am
by MaxRideWizardLord
I'd just like to take a moment to thank Major Cooke for making sure the 5:4 aspect ration support will never becomes irrelevant. :thumb:

:cheers:

Re: D(E)4D - v3 Alpha 8.6 (05/04/2020)

PostPosted: Sun Jul 05, 2020 11:40 am
by Major Cooke
Glad to see it's working for you now. I spent so much time reworking that. x.x;

Re: D(E)4D - v3 Alpha 8.6 (05/04/2020)

PostPosted: Wed Jul 08, 2020 7:55 am
by Alamo985
For some reasons I can't run D4D with GZDoom Dev (4.4.2)
Device: Samsung Galaxy A50, Android 10
Application: Delta Touch, v3.5.4
Tested on both Bleeding Edge and Stable, and both spits out the same error.
Here's the popup:

Unable to load shader glorykill:
Init Shader 'glorykill':
Fragment shader:
0:15: S0001: Type mismatch in arithmetic operation between 'float' and 'int'
Linking:
Link failed because of invalid fragment shader.

Re: D(E)4D - v3 Alpha 8.6 (05/04/2020)

PostPosted: Wed Jul 08, 2020 8:54 am
by Major Cooke
Alamo985 wrote:Application: Delta Touch


Sounds like a problem with Delta Touch them.

Remember, DE4D is developed for GZDoom only, so if there's a bug with it on DT, you'll want to ask them about it.

Re: D(E)4D - v3 Alpha 8.6 (05/04/2020)

PostPosted: Wed Jul 08, 2020 10:41 pm
by Ferretmanjcdenton
Alamo985 wrote:For some reasons I can't run D4D with GZDoom Dev (4.4.2)
Device: Samsung Galaxy A50, Android 10
Application: Delta Touch, v3.5.4
Tested on both Bleeding Edge and Stable, and both spits out the same error.
Here's the popup:

Unable to load shader glorykill:
Init Shader 'glorykill':
Fragment shader:
0:15: S0001: Type mismatch in arithmetic operation between 'float' and 'int'
Linking:
Link failed because of invalid fragment shader.


Have you disabled the shaders and post shaders ?

Also you can try lzdoom